## org.emboss.jemboss.programs
Class RunEmbossApplication

    java.lang.Object
      |
      +--org.emboss.jemboss.programs.RunEmbossApplication

public class RunEmbossApplication
extends java.lang.Object

RunEmbossApplication class used to run an EMBOSS process

Constructor Summary
`RunEmbossApplication(java.lang.String embossCommand, java.lang.String[] envp, java.io.File project)`

Method Summary
`java.lang.Process` `getProcess()`
`java.lang.String` `getProcessStdout()`
`java.lang.String` `getStatus()`
`boolean` `isProcessStdout()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunEmbossApplication

    public RunEmbossApplication(java.lang.String embossCommand,
                                java.lang.String[] envp,
                                java.io.File project)

Method Detail

### isProcessStdout

    public boolean isProcessStdout()

  Returns:
    true if there is any standard out

### getProcessStdout

    public java.lang.String getProcessStdout()

  Returns:
    standard out

### getProcess

    public java.lang.Process getProcess()

  Returns:
    process

### getStatus

    public java.lang.String getStatus()

  Returns:
    status